SyncWorker (The Data Transfer Agent Service 2.1.0-3.3.0 API)
Date: 2014-07-19

org.gcube.datatransfer.agent.impl.worker

## Class SyncWorker

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.worker.Worker
  - - org.gcube.datatransfer.agent.impl.worker.SyncWorker

- All Implemented Interfaces:
    Serializable, Callable
  Direct Known Subclasses:
    LocalFileTransferSyncWorker, LocalTransferSyncWorker, StorageManagerSyncWorker, TreeManagerSyncWorker

      public abstract class SyncWorker
      extends Worker

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GRSOutComeWriter` | `outcomeWriter`

    - ### Fields inherited from class org.gcube.datatransfer.agent.impl.worker.Worker

      `destParameters, list, logger, sourceParameters, task, threadList, transferId, uuidgen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncWorker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getOutcomeLocator()`

    - ### Methods inherited from class org.gcube.datatransfer.agent.impl.worker.Worker

      `getResource, getTask, getThreadList, setTask, setThreadList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.concurrent.Callable

      `call`

- - ### Field Detail

    - #### outcomeWriter

          protected GRSOutComeWriter outcomeWriter

  - ### Constructor Detail

    - #### SyncWorker

          public SyncWorker()

  - ### Method Detail

    - #### getOutcomeLocator

          public abstract String getOutcomeLocator()
                                            throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

      Throws:
        `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Copyright © 2014. All Rights Reserved.